<?php
/*
  Plugin Name: JaW Parent Category
  Plugin URI: http://jawtemplates.com
  Description:
  Version: 1.0
  Author: JaW Templates
  Author URI: http://jawtemplates.com
 */

class jaw_parent_category_widget extends WP_Widget {

    function jaw_parent_category_widget() {
        $options = array('classname' => 'jaw_parent_category_widget', 'description' => "");
        $controls = array('width' => 250, 'height' => 200);
        $this->WP_Widget('jaw_parent_category_widget', 'J&W - Woo Parent Category', $options, $controls);
    }

    function widget($args, $instance) {
        if ((function_exists('is_product') && is_product()) || (function_exists('is_product_category') && is_product_category())) {
            if (is_product_category()) {
                $terms = get_term_by('slug', get_query_var('term'), 'product_cat');
                $parent = get_term_by('id', $terms->parent, 'product_cat');
                $terms = $parent;
            } else {
                $terms = get_the_terms(get_the_ID(), 'product_cat');
                if (!empty($terms)) {
                    $terms = current($terms);
                }
            }

            if (!empty($terms)) { // pokud neni v kategorii post neyobrazi se breadcrumb
                //Post
                echo $before_widget;
                ?>
                <div class="jaw_button">
                    <a type="button" class="btn" href="<?php echo get_term_link($terms); ?>" target="_self" >
                        <?php echo __('Go to parent category', 'jawtemplates'); ?>
                    </a>
                </div>
                <?php
                echo $after_widget;
            }
        }
    }

    function form($instance) {
        ?>
        <p>
            <?php echo 'No option available for this widget.'; ?>
        </p>

        <?php
    }

}

class jaw_parent_category {

    public function __construct() {
        add_action('widgets_init', array(&$this, '_bootloader'));
    }

    public function _bootloader() {
        register_widget('jaw_parent_category_widget');
    }

}

$jaw_parent_category = new jaw_parent_category();
